Source: python-typechecks
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               python3-all,
               python3-pytest <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/openvax/typechecks
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-typechecks
Vcs-Git: https://salsa.debian.org/python-team/packages/python-typechecks.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-typechecks
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: express constraints on types
 Variables in Python are just that - variable. Sometimes
 though you want to make sure that a variable is of a
 particular type, like an integer, a string or a something
 to iterate (loop) through.
 .
 To express such constraints on the type that a variable
 may have in the code, such that the program can react
 to it at runtime, this small modules provides a set of
 routines.
